Runtime

## org.eclipse.gmf.runtime.notation
Interface NamedStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Style

All Known Subinterfaces:
  BooleanListValueStyle, BooleanValueStyle, ByteArrayValueStyle, DataTypeStyle, DobleValueStyle, DoubleListValueStyle, DoubleValueStyle, EObjectListValueStyle, EObjectValueStyle, IntListValueStyle, IntValueStyle, ListValueStyle, PropertiesSetStyle, SingleValueStyle, StringListValueStyle, StringValueStyle

All Known Implementing Classes:
  BooleanListValueStyleImpl, BooleanValueStyleImpl, ByteArrayValueStyleImpl, DataTypeStyleImpl, DoubleListValueStyleImpl, DoubleValueStyleImpl, EObjectListValueStyleImpl, EObjectValueStyleImpl, IntListValueStyleImpl, IntValueStyleImpl, ListValueStyleImpl, NamedStyleImpl, PropertiesSetStyleImpl, SingleValueStyleImpl, StringListValueStyleImpl, StringValueStyleImpl

    public interface NamedStyle

extends Style

A representation of the model object 'Named Style'.

The following features are supported:

- `Name`

See Also:
  `NotationPackage.getNamedStyle()`
** Generated **
Model:

Method Summary
`java.lang.String` `getName()` Returns the value of the 'Name' attribute
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `NotationPackage.getNamedStyle_Name()`
  ** Generated **
  Model:

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.